<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

        Public Partial Class GetTranslationReview
            Public Overridable Property Id As Guid
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations

        Public Partial Class TranslationReviewProxy
            Public Overridable Property ActualSourceLanguage As String
            Public Overridable Property TargetLanguage As String
            Public Overridable Property ItemType As String
            Public Overridable Property UnitGroups As IList(Of TranslationUnitGroupProxy)
        End Class

        Public Partial Class TranslationUnitGroupProxy
            Public Overridable Property Name As String
            Public Overridable Property Units As IList(Of TranslationUnitProxy)
        End Class

        Public Partial Class TranslationUnitProxy
            Public Overridable Property PropertyName As String
            Public Overridable Property SourceValue As String
            Public Overridable Property TargetValue As String
        End Class
    End Namespace
End Namespace

VB.NET GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}